Package org.apache.nutch.scoring.webgraph

## Class WebGraph.OutlinkDb.OutlinkDbMapper

- java.lang.Object
- - org.apache.hadoop.mapreduce.Mapper<Text,​Writable,​Text,​NutchWritable>
  - - org.apache.nutch.scoring.webgraph.WebGraph.OutlinkDb.OutlinkDbMapper

- Enclosing class:
    WebGraph.OutlinkDb

      public static class WebGraph.OutlinkDb.OutlinkDbMapper
      extends Mapper<Text,​Writable,​Text,​NutchWritable>

  Passes through existing LinkDatum objects from an existing OutlinkDb and maps out new LinkDatum objects from new crawls ParseData.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper

      `Mapper.Context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OutlinkDbMapper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `map​(Text key, Writable value, Mapper.Context context)` |
    `void` | `setup​(Mapper.Context context)` | Configures the OutlinkDb job mapper.

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Mapper

      `cleanup, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutlinkDbMapper

          public OutlinkDbMapper()

  - ### Method Detail

    - #### setup

          public void setup​(Mapper.Context context)

      Configures the OutlinkDb job mapper. Sets up internal links and link limiting.
      Overrides:
        `setup` in class `Mapper<Text,​Writable,​Text,​NutchWritable>`

    - #### map

          public void map​(Text key,
                          Writable value,
                          Mapper.Context context)
                   throws IOException,
                          InterruptedException

      Overrides:
        `map` in class `Mapper<Text,​Writable,​Text,​NutchWritable>`
      Throws:
        `IOException`
        `InterruptedException`